<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CityListResponse StructType
 * @subpackage Structs
 */
class CityListResponse extends AbstractStructBase
{
    /**
     * The CityListRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CityListRS;
    /**
     * Constructor method for CityListResponse
     * @uses CityListResponse::setCityListRS()
     * @param \StructType\JP_StaticDataRS $cityListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $cityListRS = null)
    {
        $this
            ->setCityListRS($cityListRS);
    }
    /**
     * Get CityListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCityListRS()
    {
        return $this->CityListRS;
    }
    /**
     * Set CityListRS value
     * @param \StructType\JP_StaticDataRS $cityListRS
     * @return \StructType\CityListResponse
     */
    public function setCityListRS(\StructType\JP_StaticDataRS $cityListRS = null)
    {
        $this->CityListRS = $cityListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CityListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
